// pages/refundDetail/refundDetail.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showApplyRefundModal:false,
    id:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const { id } = this.options
    console.log('id', id)
    if(id) {
      this.setData({
        id
      },()=>{
        this.getRfDetail(id)
      })
    }
  },
  getRfDetail(id) {
    // wx.showLoading({
    //   title: '加载中',
    //   mask: true
    // })
    // wxService.get(`/sale/trade/buyer/${id}`).then(res => {
    //   if (res) {
    //     const { result, data } = res.data
    //     if (result == 0) {
    //       wx.hideLoading()
    //       this.setData({
    //         detail: data
    //       })
    //     }
    //   }
    // })
  },
  copy(e){
    wx.setClipboardData({
      //准备复制的数据
      data: e.currentTarget.dataset.content,
      success: function (res) {
        wx.showToast({
          title: '复制成功',
          icon:'none'
        });
      }
    });
  },

  //填写物流信息
  tapWriteLogis(){
    console.log('222')
    this.setData({
      showApplyRefundModal: true
    })
  }
})